---
title: "Publish entities that have changed within a specific time period"
slug: "publish-entities-that-have-changed-within-a-specific-time-period"
abstract: "How to publish entities that were created or have changed within a specific time period."
---
# Publish entities that have changed within a specific time period

This endpoint lets you publish entities that were created or modified within a specific period of time.

```http
POST https://<HOSTNAME>/api/publish/entities/timerange

```

## Example request

```json
POST https://<HOSTNAME>/api/publish/entities/timerange

{
    "startDate": "2022-08-18T12:`39:09`.6018531Z",
    "endDate": "2022-08-24T12:`49:09`.6018531Z",
    "dateTimePropertyName": "createdon",
    "onlyFailedPublish": true
    "tenant": "CaaS"
}

```

## Body parameters

| Name | Type | Description | Mandatory |
| --- | --- | --- | --- |
| `startDate` | String | The beginning of the period, expressed in Coordinated Universal Time (UTC). | Yes |
| `dateTimePropertyName` | String | To match entities that were created during the specified period, use *createdon*. To match entities that were last modified during the specified period, use *modifiedon*. You cannot use both values in a single request. | Yes |
| `endDate` | String | The end of the period, expressed in UTC. If no value is specified, the period extends to the moment the request was made. | No |
| `onlyFailedPublish` | Boolean | If this is **false**, the request publishes all matching entities within the specified period. If this is **true**, the request only publishes entities that failed to publish during that period, and therefore have a status of *PublishFailed* or *UnPublishFailed*. If not specified, this value defaults to **false**. | No |
| `tenant` | String | Specifies a tenant to publish data to. If nothing is specified, this parameter defaults to *CaaS*. There are two possible values: `CaaS` or `PublicCollections`. | Yes |